using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send;

/// <summary>
/// 实时服务上报
/// </summary>
public class SendRealTimeStatusInfo
{
    /// <summary>
    /// 热线标识
    /// </summary>
    [JsonPropertyName("HOTLINE")]
    public string HotLine { get; set; } = "99";

    /// <summary>
    /// 行政区划代码
    /// </summary>
    [JsonPropertyName("AREA_CODE")]
    public string AreaCode { get; set; }

    /// <summary>
    /// 行政区划名称
    /// </summary>
    [JsonPropertyName("AREA_NAME")]
    public string AreaName { get; set; }

    /// <summary>
    /// 在线服务代表数
    /// </summary>
    [JsonPropertyName("CRNT_SEATNUM")]
    public int CrntSeatNum { get; set; }

    /// <summary>
    /// 通话服务代表数
    /// </summary>
    [JsonPropertyName("CRNT_TELNUM")]
    public int CrntTelNum { get; set; }

    /// <summary>
    /// 今日诉求总量
    /// </summary>
    [JsonPropertyName("TDY_NUM")]
    public int TdyNum { get; set; }

    /// <summary>
    /// 今日电话诉求量
    /// </summary>
    [JsonPropertyName("TDY_TELNUM")]
    public int TdyTelNum { get; set; }

    /// <summary>
    /// 今日政务服务网诉求量
    /// </summary>
    [JsonPropertyName("TDY_ZWNUM")]
    public int TdyZwNum { get; set; }

    /// <summary>
    /// 今日网站诉求量
    /// </summary>
    [JsonPropertyName("TDY_WZNUM")]
    public int TdyWzNum { get; set; }

    /// <summary>
    /// 今日微信诉求量
    /// </summary>
    [JsonPropertyName("TDY_WXNUM")]
    public int TdyWxNum { get; set; }

    /// <summary>
    /// 今日APP诉求量
    /// </summary>
    [JsonPropertyName("TDY_APNUM")]
    public int TdyApNum { get; set; }

    /// <summary>
    /// 今日其他诉求量
    /// </summary>
    [JsonPropertyName("TDY_OTNUM")]
    public int TdyOtNum { get; set; }

    /// <summary>
    /// 今日电话接通率
    /// </summary>
    [JsonPropertyName("TDY_TELRATE")]
    public double TdyTelRate { get; set; }
}

